export default {
  path: "region",
  component: () => import("@/views/regionSection/index.vue"),
  name: "region",
  meta: {
    keepAlive: true,
    isAuth: true,
    title: "区域管控"
  },
  redirect: {
    path: "/region/home"
  },
  children: [
    {
      path: "home",
      component: () => import("@/views/regionSection/home/index.vue"),
      name: "home",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-首页"
      }
    },
    {
      path: "regionManage",
      component: () =>
        import("@/views/regionSection/regionManage/regionManage.vue"),
      name: "regionManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-区域管理"
      }
    },
    {
      path: "schoolManage",
      component: () =>
        import("@/views/regionSection/regionManage/schoolManage.vue"),
      name: "schoolManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-学校管理"
      }
    },
    {
      path: "adminManage",
      component: () =>
        import("@/views/regionSection/regionManage/adminManage.vue"),
      name: "adminManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-管理员"
      }
    },
    {
      path: "applicationGroup",
      component: () =>
        import("@/views/regionSection/applicationManage/applicationGroup.vue"),
      name: "applicationGroup",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-应用分组"
      }
    },
    {
      path: "applicationManage",
      component: () =>
        import("@/views/regionSection/applicationManage/applicationManage.vue"),
      name: "applicationManage",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-应用管理"
      }
    },
    {
      path: "whitelistLibrary",
      component: () =>
        import("@/views/regionSection/networkManage/whitelistLibrary.vue"),
      name: "whitelistLibrary",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-白名单库"
      }
    },
    {
      path: "whitelist",
      component: () =>
        import("@/views/regionSection/networkManage/whitelist.vue"),
      name: "whitelist",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-白名单"
      }
    },
    {
      path: "settingWallpaper",
      component: () => import("@/views/regionSection/setting/wallpaper.vue"),
      name: "wallpaper",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-壁纸"
      }
    },
    {
      path: "settingLogo",
      component: () => import("@/views/regionSection/setting/logo.vue"),
      name: "logo",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-LOGO"
      }
    },
    {
      path: "settingDevice",
      component: () => import("@/views/regionSection/setting/device.vue"),
      name: "setting_device",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-设备设置"
      }
    },
    {
      path: "settingPowerUp",
      component: () => import("@/views/regionSection/setting/powerUp.vue"),
      name: "powerUp",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-开机设置"
      }
    },
    {
      path: "searchAllUsers",
      component: () => import("@/views/regionSection/search/allUsers.vue"),
      name: "searchAllUsers",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索所有用户"
      }
    },
    {
      path: "searchDeviceUsers",
      component: () => import("@/views/regionSection/search/deviceUsers.vue"),
      name: "searchDeviceUsers",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索设备用户"
      }
    },
    {
      path: "searchDevice",
      component: () => import("@/views/regionSection/search/device.vue"),
      name: "searchDevice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索设备"
      }
    },
    {
      path: "searchAllApps",
      component: () => import("@/views/regionSection/search/allApps.vue"),
      name: "searchAllApps",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索所有应用"
      }
    },
    {
      path: "searchAllWhitelists",
      component: () => import("@/views/regionSection/search/allWhitelists.vue"),
      name: "searchAllWhitelists",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索所有白名单"
      }
    },
    {
      path: "searchDeviceModel",
      component: () => import("@/views/regionSection/search/deviceModel.vue"),
      name: "searchDeviceModel",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索设备型号"
      }
    },
    {
      path: "searchClientVersion",
      component: () => import("@/views/regionSection/search/clientVersion.vue"),
      name: "searchClientVersion",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-搜索客户端版本"
      }
    },
    {
      path: "adminLog",
      component: () => import("@/views/regionSection/log/admin.vue"),
      name: "adminLog",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "日志-管理员日志"
      }
    },
    {
      path: "devicePushLog",
      component: () => import("@/views/regionSection/log/devicePush.vue"),
      name: "devicePushLog",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "日志-设备推送日志"
      }
    },
    {
      path: "deviceLocationLog",
      component: () => import("@/views/regionSection/log/deviceLocation.vue"),
      name: "deviceLocationLog",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "日志-设备位置日志"
      }
    },
    {
      path: "deviceEventsLog",
      component: () => import("@/views/regionSection/log/deviceEvents.vue"),
      name: "deviceEventsLog",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "日志-设备事件日志"
      }
    },
    {
      path: "violatingDeviceLog",
      component: () => import("@/views/regionSection/log/violatingDevice.vue"),
      name: "violatingDeviceLog",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "日志-违规设备日志"
      }
    },
    {
      path: "applicationDownloadLog",
      component: () =>
        import("@/views/regionSection/log/applicationDownload.vue"),
      name: "applicationDownloadLog",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "日志-应用下载日志"
      }
    },
    {
      path: "appLaunchLog",
      component: () => import("@/views/regionSection/log/appLaunch.vue"),
      name: "appLaunchLog",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "日志-应用启动日志"
      }
    },
    {
      path: "deviceInstallationLog",
      component: () =>
        import("@/views/regionSection/log/deviceInstallation.vue"),
      name: "deviceInstallationLog",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "日志-设备已安装应用"
      }
    },
    {
      path: "deviceExport",
      component: () => import("@/views/regionSection/log/deviceExport.vue"),
      name: "deviceExport",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "日志-设备导出"
      }
    },
    {
      path: "notice",
      component: () => import("@/views/regionSection/notice/index.vue"),
      name: "notice",
      meta: {
        keepAlive: true,
        isAuth: true,
        title: "区域管控-公告"
      }
    }
  ]
};
